Skip to content

After submitting a request to export a binder from your Vault, you can query Vault to determine the results of the request.

Before submitting this request:

  • You must have previously requested a binder export job (via the API) which is no longer active.
  • You must have a valid job_id value (retrieved from the export binder request).
GET/api/{version}/objects/binders/actions/export/{job_id}/results
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{job_id}The id value of the requested export job. This is returned with the export binder requests above.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/binders/actions/export/1201/results
{ "responseStatus": "SUCCESS", "job_id": 1201, "id": 454, "major_version_number__v": 1, "minor_version_number__v": 0, "file": "/1201/454/1_0/Nyaxa Compliance Package.zip", "user_id__v": 44533 }

On SUCCESS, the response includes the following information:

Field NameDescription
job_idThe Job ID value of the binder export request.
idThe id value of the exported binder.
major_version_number__vThe major version number of the exported binder.
minor_version_number__vThe minor version number of the exported binder.
fileThe path/location of the downloaded binder ZIP file.
user_id__vThe id value of the Vault user who initiated the binder export job.